Restore External Snapshot (V2)
On RequestRestores a collection from an externally stored snapshot.
The base URL for this API is in the following format:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- Use the cluster endpoint if you are using serving clusters.
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
The authentication token should be an API key with appropriate privileges.
The target database name.
The name of the target collection.
The object-storage URI of the snapshot metadata to restore.
Optional external storage specification.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/restore_external" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"dbName": "default",
"targetCollectionName": "restored_collection",
"snapshotMetadataURI": "s3://bucket/snapshots/snapshot_2026_01",
"externalSpec": ""
}'
Restores a collection from an externally stored snapshot.
The response body for an external snapshot restore request, including a code and either a data payload or a message.
Response code.
The response payload containing the jobId of the external snapshot restore job.
The unique identifier of the created restore job.
The response body for an external snapshot restore request, including a code and either a data payload or a message.
Response code.
Error message.
{
"code": 0,
"data": {
"jobId": 451799928999570200
}
}